> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Group and set businesses

> Create a new group.
This endpoint allows `Group Managers` to create new groups within the system.   For more information about the group system, see [the Groups and Sections description](/guides/api/resources/organizations/groups).
⚠️ You must specify which businesses are part of the group using the `business__in` parameter.
- If you don't specify any businesses, the group will be created with **all** businesses. - To create an empty group, provide an empty array in the `business__in` parameter.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml post /sections/{section_id}/groups
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /sections/{section_id}/groups:
    post:
      tags:
        - Groups and Sections
      summary: Create Group and set businesses
      description: >
        Create a new group.

        This endpoint allows `Group Managers` to create new groups within the
        system.   For more information about the group system, see [the Groups
        and Sections description](/guides/api/resources/organizations/groups).

        ⚠️ You must specify which businesses are part of the group using the
        `business__in` parameter.

        - If you don't specify any businesses, the group will be created with
        **all** businesses. - To create an empty group, provide an empty array
        in the `business__in` parameter.
      operationId: createGroup
      parameters:
        - $ref: '#/components/parameters/path_section_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: Request body to create a group
              type: object
              required:
                - name
                - business__in
              properties:
                name:
                  $ref: '#/components/schemas/GroupV2Name'
                business__in:
                  $ref: '#/components/schemas/business_ids'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupCreateSuccessResponse'
        '400':
          description: Group name already exists
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/SectionCreateNameConflictResponse'
                  - $ref: >-
                      #/components/schemas/SectionCreateForbiddenCharactersResponse
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  parameters:
    path_section_id:
      in: path
      name: section_id
      required: true
      schema:
        type: integer
      description: Section ID
  schemas:
    GroupV2Name:
      description: 'Name of the group. Cannot include any of the following characters: `,;/`'
      type: string
      example: France
    business_ids:
      description: List of business ids
      type: array
      example:
        - 5409c35a97bbc544d8e26737
        - 595badaef348ab6b3530033f
        - 59d53302b12ff6429f262639
      items:
        $ref: '#/components/schemas/BusinessId'
    GroupCreateSuccessResponse:
      type: object
      properties:
        status:
          description: Request status
          type: string
          enum:
            - success
        id:
          description: ID of the created group
          type: integer
          example: 1
    SectionCreateNameConflictResponse:
      type: object
      properties:
        errors:
          description: The detail of the error encountered
          type: object
          properties:
            json:
              type: object
              properties:
                name:
                  type: string
                  example: name_already_exists
    SectionCreateForbiddenCharactersResponse:
      type: object
      properties:
        errors:
          description: The detail of the error encountered
          type: object
          properties:
            json:
              type: object
              properties:
                name:
                  type: string
                  example: name_contains_forbidden_characters
    BusinessId:
      description: Business id
      type: string
      example: 5409c35a97bbc544d8e26737
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````